Subject: Re: [netconf] WG Last Call: draft-ietf-netmod-factory-default-05

From: Qin Wu <[email-masked]>
Date: Tue, 5 Nov 2019 03:23:27 +0000

发件人: Kent Watsen [mailto:[email-masked]]
发送时间: 2019年11月5日 10:46
收件人: Martin Bjorklund <[email-masked]>
抄送: Qin Wu <[email-masked]>; [email-masked]; [email-masked]
主题: Re: [netconf] WG Last Call: draft-ietf-netmod-factory-default-05

Qin, Martin,

 But what does this actually mean?
[Qin]: It means the key word zero-touch comes from RFC8572.

I get that part.  I was wondering about the meaning of the sentence.
How can "reset" be used "during initial zero-touch configuration"?

[Qin]: I think "reset" can be used at the beginning of session setup or in the middle of session when the existing configuration
Has fatal error.
Maybe change it into "before initial zero-touch configuration"?

I don't think this is correct; noone will invoke "factory-reset"
*before* the initial ztp -- rather, the factory default config will
contain config to enable ztp (see e.g. section A.1 in RFC 8572).
Perhaps simply remove this sentence?

Kent, do you have an opinion?

For devices supporting ZTP, as you say, no one will invoke "factory-reset" before the initial ZTP.   This RPC can only, at best, reenable ZTP as part of the reset operation.   This seems obvious to me (e.g., section A.1), but Joe felt that it would be helpful to call it out.  My only role in this was to craft the text that said it correctly.  As for if the sentence is better in or out, I hold no strong opinion, but perceive two WG members having opposite opinions.

[Qin]: The question is should rpc or factory default config or both enable ztp?
I think during initial zero-touch configure, it is factory default config to enable ztp.
In the middle of session, rpc can be used to trigger ztp process execution.

Kent // contributor

---

From: Kent Watsen <[email-masked]>
Date: Tue, 5 Nov 2019 11:44:33 +0000

Hi Qin,

> In the middle of session, rpc can be used to trigger ztp process execution.

The factory-default config enables ZTP.  The RPC actives  the factory-default config. 

K.